Scoping Configuration - List
Belirtilen rapor için tekil scopingConfiguration liste biçimini döndürür.
GET https://management.azure.com/providers/Microsoft.AppComplianceAutomation/reports/{reportName}/scopingConfigurations?api-version=2024-06-27
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
report
|
path | True |
string pattern: ^[-a-zA-Z0-9_]{1,50}$ |
Rapor Adı. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Azure işlemi başarıyla tamamlandı. |
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
ScopingConfiguration_List
Örnek isteği
Örnek yanıt
{
"value": [
{
"name": "default",
"type": "Microsoft.AppComplianceAutomation/reports/scopingConfigurations",
"id": "/provider/Microsfot.AppComplianceAutomation/reports/testReportName/scopingConfigurations/default",
"properties": {
"answers": [
{
"answers": [
"Azure"
],
"questionId": "GEN20_hostingEnvironment"
},
{
"answers": [],
"questionId": "DHP_G07_customerDataProcess"
},
{
"answers": [],
"questionId": "Tier2InitSub_serviceCommunicate"
}
]
},
"systemData": {
"createdAt": "2021-05-14T22:34:55.4499903Z",
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdByType": "User",
"lastModifiedAt": "2021-05-14T22:34:55.4499903Z",
"lastModifiedBy": "00000000-0000-0000-0000-000000000000",
"lastModifiedByType": "User"
}
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Provisioning |
Kaynak sağlama durumları. |
|
Scoping |
Kapsam belirleme yanıtı. |
|
Scoping |
Sınıf bir AppComplianceAutomation kapsam yapılandırma kaynağını temsil ediyor. |
|
Scoping |
ScopingConfigurationResource liste işleminin yanıtı. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
ProvisioningState
Kaynak sağlama durumları.
| Değer | Description |
|---|---|
| Succeeded |
Sağlama başarılı oldu. |
| Failed |
Sağlama başarısız oldu. |
| Canceled |
Sağlama iptal edilir. |
| Creating |
Oluşturma işlemi devam ediyor. |
| Deleting |
Silme işlemi devam ediyor. |
| Fixing |
Devam eden kaynağın düzeltmesi. |
| Verifying |
Devam eden kaynağın doğrulaması. |
| Updating |
Devam eden kaynağın güncelleştirmesi. |
ScopingAnswer
Kapsam belirleme yanıtı.
| Name | Tür | Description |
|---|---|---|
| answers |
string[] |
Soru yanıtı değer listesi. |
| questionId |
string pattern: ^[-a-zA-Z0-9_]{1,50}$ |
Soru kimliği. |
ScopingConfigurationResource
Sınıf bir AppComplianceAutomation kapsam yapılandırma kaynağını temsil ediyor.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Kaynağın adı |
| properties.answers |
Kapsam belirleme sorusu yanıtlarının listesi. |
|
| properties.provisioningState |
Azure yaşam döngüsü yönetimi |
|
| systemData |
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri. |
|
| type |
string |
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts" |
ScopingConfigurationResourceListResult
ScopingConfigurationResource liste işleminin yanıtı.
| Name | Tür | Description |
|---|---|---|
| nextLink |
string (uri) |
Öğelerin sonraki sayfasına bağlantı |
| value |
Bu sayfadaki ScopingConfigurationResource öğeleri |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |